<?php

/*
*	Syndeo CMS (former Site@School)
* 	is a website management system designed for primary schools.
* =============================================================================== *
* History Site@School:
* Original idea, coding (version 1.0) and design : Mark de Haan (mark@starwave.nl)
* Ideas, improvements, expansions (versions 1.1 - 2.4): 
* Karin Abma, Dirk Schouten and Fred Stuurman
* Coding version 1.1 - 2.4.10 Fred Stuurman
* =============================================================================== *
* Syndeo CMS Software Version: 3.3.00  
* Copyright (C) 2007- 2013: Fred Stuurman (fc.stuurman@gmail.com)
* Core function:
* con_start.inc.php: last changed 20/12/2013 by Fred Stuurman (fc.stuurman@gmail.com)
* $Id$
* =============================================================================== *
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or (at your option) any later version.

* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
* See the GNU General Public License in the starnet directory for more details.
*/

if (!defined('IN_SAS'))
{
	die("Hacking attempt");
}

if (IsSet ($_GET['save']))
{
	$save = $_GET['save'];
}
if (IsSet ($_POST['fullname']))
{
	$fullname = sanitize($_POST['fullname'], 60, 'S');
}
if (IsSet ($_POST['username']))
{
	$username = sanitize($_POST['username'], 20, 'S');
}
if (IsSet ($_POST['password']))
{
	$password = sanitize($_POST['password'], 15, 'S');
}
if (IsSet ($_POST['email']))
{
	$email = sanitize($_POST['email'], 80, 'A');
}
if (IsSet ($_POST['newsiteemail']))
{
	$siteemail = sanitize($_POST['newsiteemail'], 80, 'A');
}
if (IsSet ($_POST['neweditor']))
{
	$neweditor = intval($_POST['neweditor']);
}
if (IsSet ($_POST['newtheme']))
{
	$newtheme = sanitize($_POST['newtheme'], 50, 'S');;
}
if (IsSet ($_POST['new_prot_theme']))
{
	$new_prot_theme = sanitize($_POST['new_prot_theme'], 50, 'S');
}
if (IsSet ($_POST['newsitename']))
{
	$newsitename = sanitize($_POST['newsitename'], 100, 'S');
}
if (IsSet ($_POST['newtagline']))
{
	$newtagline = sanitize($_POST['newtagline'], 500, 'S');
}
if (IsSet ($_POST['startsection']))
{
	$startsection = intval($_POST['startsection']);
}
if (IsSet ($_POST['sessioncode']))
{
	$sessioncode = sanitize($_POST['sessioncode'], 80, 'S');
}
if (IsSet ($_POST['siteurl']))
{
	$siteurl = sanitize($_POST['siteurl'], 100, 'S');
}
if (IsSet ($_POST['serverpath']))
{
	$serverpath = sanitize($_POST['serverpath'], 100, 'S');
}
if (IsSet ($_POST['userpath']))
{
	$userpath = sanitize($_POST['userpath'], 100, 'S');
}
if (IsSet ($_POST['newlanguage']))
{
	$newlanguage = sanitize($_POST['newlanguage'], 5, 'S');
}

if (IsSet ($_POST['newdateformat']))
{
	$newdateformat = sanitize($_POST['newdateformat'], 10, 'S');
}
if (IsSet ($_POST['editor_rows']))
{
	$editor_rows = intval($_POST['editor_rows']);
}
if (IsSet ($_POST['editor_width']))
{
	$editor_width = intval($_POST['editor_width']);
}
if (IsSet ($_POST['num_pages']))
{
	$num_pages = intval($_POST['num_pages']);
}
if (IsSet ($_POST['allow_javascript']))
{
	$allow_javascript = intval($_POST['allow_javascript']);
}
if (IsSet ($_POST['file_permissions']))
{
	$file_permissions = sanitize($_POST['file_permissions'], 4 , 'A');
}
if (IsSet ($_POST['valid_types']))
{
	$valid_types = $_POST['valid_types'];

	//remove blank entries from array
	foreach ($valid_types as $index => $value) 
	{
	   if (empty($value)) unset($valid_types[$index]);
	}
}
if (IsSet ($_POST['meta_keywords']))
{
	$meta_keywords = sanitize($_POST['meta_keywords'], 200, 'S');
}
if (IsSet ($_POST['meta_description']))
{
	$meta_description = sanitize($_POST['meta_description'], 500, 'S');
}
if (IsSet ($_POST['footer_text']))
{
	$footer_text = sanitize($_POST['footer_text'], 2000, 'U');
}
if (IsSet ($save))
{
	if ($save == "configuration")
	{
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$newtheme' WHERE config_key = 'theme'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$new_prot_theme' WHERE config_key = 'protected_theme'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$newsitename' WHERE config_key = 'sitename'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$newtagline' WHERE config_key = 'tagline'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$startsection' WHERE config_key = 'startsection'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$siteemail' WHERE config_key = 'email'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$sessioncode' WHERE config_key = 'sessioncode'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$meta_keywords' WHERE config_key = 'meta_keywords'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$meta_description' WHERE config_key = 'meta_description'");
		
		if (IsSet ($_POST['newsletter_email']))
		{
			$newsletter_email = sanitize($_POST['newsletter_email'], 80, 'A'); //save the admin email addres of the newsletter module.
			mysqli_query($db,"UPDATE $table_configuration SET config_value = '$newsletter_email' WHERE config_key = 'newsletter_admin_email'");
		}
		
		if (strrpos($siteurl, '/') != strlen($siteurl) - 1)
		{
			$siteurl .= '/';
		} //add last slash if not present
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$siteurl' WHERE config_key = 'url'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$serverpath' WHERE config_key = 'serverpath'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$userpath' WHERE config_key = 'user_path'");
	}
	
	if ($save == "environment")
	{
		$comma_separated = implode(",", $valid_types);
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$newlanguage' WHERE config_key = 'language'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$newdateformat' WHERE config_key = 'dateformat'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$editor_rows' WHERE config_key = 'htmlarea_editor_rows'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$editor_width' WHERE config_key = 'editor_width'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$num_pages' WHERE config_key = 'number_pupilpages'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$allow_javascript' WHERE config_key = 'allow_javascript'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$file_permissions' WHERE config_key = 'file_permissions'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$comma_separated' WHERE config_key = 'valid_file_extentions'");
	}
	
	if ($save == "personal")
	{
		$token_id = $_SESSION['token_id'] ;
		$token_value = $_SESSION['token_value'] ;
		if($_POST[$token_id] == $token_value)
		{
			$query = mysqli_query($db,"SELECT username FROM $table_users WHERE username = '$username' AND id != '$userid'");
			$results = mysqli_num_rows($query);
			
			if ($results != '0') //an other user with this username exists, give error
			{
				print "<script language=\"Javascript\">
					   <!--
					   alert (\"" . $sas_lang['student_name_exists'] . "\");
					   window.location = 'index.php?option=configuration&suboption=personal' ;	
					   //-->
					   </script>"; //return to the user edit window.
			}
			else
			{
				if (($sas_config[use_encryption] == 1) AND ($password != "") AND ($password != "********")) //passwords are encrypted and not blank
				{
					$password = md5($password);
				}

				if (($password != "") AND ($password != "********")) //only save password when not empty.
				{
					mysqli_query($db,"UPDATE $table_users SET password = '$password' WHERE id = '$userid'");
				}

				mysqli_query($db,"UPDATE $table_users SET name = '$fullname' WHERE id = '$userid'");
				mysqli_query($db,"UPDATE $table_users SET username = '$username' WHERE id = '$userid'");
				mysqli_query($db,"UPDATE $table_users SET email = '$email' WHERE id = '$userid'");
				mysqli_query($db,"UPDATE $table_users SET editor = '$neweditor' WHERE id = '$userid'");
				$query = "SELECT location FROM $table_editors WHERE id = '$neweditor'"; // getting the editors location
				$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
				$_SESSION['editor_loc'] = mysqli_result($result, 0);
				$_SESSION['editor'] = $neweditor;
				unset ($query);
				unset ($result);
			}
		}
		else
		{
			//csrf token doesn't match
			trigger_error("CRSF attack, please inform site administrator!", E_USER_ERROR);
		}
	}
	
	if ($save == "save_webfonts")
	{	
		if (IsSet ($_POST['font_names']))
		{
			$font_names = $_POST['font_names']; 
		}
		if (IsSet ($_POST['font_links']))
		{
			$font_links = $_POST['font_links']; 
		}

		$table_fonts = $dbprefix . "fonts";
		
		foreach($font_names as $key => $value)
		{
			mysqli_query($db,"UPDATE $table_fonts SET font_family = '$value', link = '$font_links[$key]' WHERE id = '$key'");
		}

		print "<script language='javascript'>window.location = 'index.php?option=configuration&suboption=webfonts'</script>";
	}
	
	if ($save == "add_webfont")
	{
		$table_fonts = $dbprefix . "fonts";
		mysqli_query($db,"INSERT INTO $table_fonts VALUES(null, '', '')");
		print "<script language='javascript'>window.location = 'index.php?option=configuration&suboption=webfonts'</script>";
	}
	
	if ($save == "delete_webfont")
	{
		if (IsSet ($_GET['font_id']))
		{
			$font_id = intval($_GET['font_id']); 
		}
		$table_fonts = $dbprefix . "fonts";
		mysqli_query($db,"DELETE FROM $table_fonts WHERE id = '".$font_id."'");
		
		print "<script language='javascript'>window.location = 'index.php?option=configuration&suboption=webfonts'</script>";
	}
	
	if ($save == "template_back")
	{
		//print_r($_POST) ;
		if (IsSet ($_POST['background_color']))
		{
			$background_color = sanitize($_POST['background_color'], 6, 'S');
			mysqli_query($db,"UPDATE $table_configuration SET config_value = '$background_color' WHERE config_key = 'template_background_color'");
		}
		$i = 0;
		foreach ($_POST as $key => $value)
		{
			if($key == "background0")	//standard background
			{
				mysqli_query($db,"UPDATE $table_configuration SET config_value = '$value' WHERE config_key = 'template_background0'");
				$i++;
			}
			else
			{
				if(substr($key,0,10) == "start_date")
				{
					$key1 = 'end_date'.$i ;
					$key2 = 'background'.$i ;
					$config_value = $value . "," . $_POST[$key1] . "," . $_POST[$key2];
					mysqli_query($db,"UPDATE $table_configuration SET config_value = '$config_value' WHERE config_key = 'template_background$i'");
					$i++;
				}
			}				
		}
		print "<script language='javascript'>window.location = 'index.php?option=configuration&suboption=template&modoption=backgrounds'</script>";
	}
	if ($save == "template_gen")
	{

		if (IsSet ($_POST['show_leftright']))
		{
			$show_leftright = intval($_POST['show_leftright']);
			$show_3d = intval($_POST['show_3d']);
			$menu_mainpage = intval($_POST['menu_mainpage']);
			mysqli_query($db,"UPDATE $table_configuration SET config_value = '$show_leftright' WHERE config_key = 'template_show_leftright'");
			mysqli_query($db,"UPDATE $table_configuration SET config_value = '$show_3d' WHERE config_key = 'template_3d'");
		}
		$menu_pos = sanitize($_POST['menu_pos'],5,'A');
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$meta_keywords' WHERE config_key = 'meta_keywords'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$meta_description' WHERE config_key = 'meta_description'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$footer_text' WHERE config_key = 'template_footer_address'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$menu_mainpage' WHERE config_key = 'template_menu_mainpage'");
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$menu_pos' WHERE config_key = 'template_menu_icon_pos'");
		
		$i = 0;
		if (IsSet ($_POST['public_page_id']))
		{
			$public_page_id = $_POST['public_page_id'];	//array
		}
		while ($i < count($public_page_id))
		{
			$public_page_id_new .= $public_page_id[$i] . ",";
			$i++;
		}
		$public_page_id_new = substr($public_page_id_new, 0, strlen($public_page_id_new) - 1); //strip last comma
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$public_page_id_new' WHERE config_key = 'public_page_numbers'");
		$i = 0;
		if (IsSet ($_POST['prot_page_id']))
		{
			$prot_page_id = $_POST['prot_page_id'];	//array
		}
		while ($i < count($prot_page_id))
		{
			$prot_page_id_new .= $prot_page_id[$i] . ",";
			$i++;
		}
		$prot_page_id_new = substr($prot_page_id_new, 0, strlen($prot_page_id_new) - 1); //strip last comma
		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$prot_page_id_new' WHERE config_key = 'prot_page_numbers'");
		
		print "<script language='javascript'>window.location = 'index.php?option=configuration&suboption=template'</script>";
	}
}

include ("interface/header.inc.php");
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");
print "<li>&nbsp;</li>";	//dummy menu item.
include ("interface/menuend.inc.php");

print "<span class=\"sas_module_title\">" . $sas_lang['configuration'] . "<br></span>";
print "" . $sas_lang['configuration_introduction'] . "</span>";

print "<p><table border=\"0\" cellpadding=\"2\" cellspacing=\"0\" width=\"660\">
        <tr>
         <td class=\"cell\" width=\"20%\" height=\"100\" align=\"center\" valign=\"top\">
          <a href=\"index.php?option=configuration&suboption=configuration\"><img border=\"0\" src=\"graphics/cfg-settings.gif\" style=\"margin: 15px 5px 5px 5px;\"></a><br>
          <a href=\"index.php?option=configuration&suboption=configuration\" class=\"module_link\">" . $sas_lang['configuration2'] . "</a></td>
         <td class=\"cell\" width=\"20%\" height=\"100\" align=\"center\" valign=\"top\">
          <a href=\"index.php?option=configuration&suboption=environment\"><img border=\"0\" src=\"graphics/cfg-environment.gif\" style=\"margin: 15px 5px 5px 5px;\"></a><br>
          <a href=\"index.php?option=configuration&suboption=environment\" class=\"module_link\">" . $sas_lang['environment'] . "</td>
         <td class=\"cell\" width=\"20%\" height=\"100\" align=\"center\" valign=\"top\">
          <a href=\"index.php?option=configuration&suboption=personal\"><img border=\"0\" src=\"graphics/cfg-personal.gif\" style=\"margin: 15px 5px 5px 5px;\"></a><br>
          <a href=\"index.php?option=configuration&suboption=personal\" class=\"module_link\">" . $sas_lang['personalsettings'] . "</a></td>
		  <td class=\"cell\" width=\"20%\" height=\"100\" align=\"center\" valign=\"top\">
          <a href=\"index.php?option=configuration&suboption=template\">
		  <img border=\"0\" src=\"graphics/template.gif\" alt=\"".$sas_lang['template_configuration']."\" title=\"".$sas_lang['template_configuration']."\" style=\"margin: 15px 5px 5px 5px;\"></a><br>
          <a href=\"index.php?option=configuration&suboption=template\" class=\"module_link\">".$sas_lang['template_configuration']."</a></td>
        </tr>
        <tr>
          <td width=\"100%\" align=\"left\" valign=\"top\" colspan=\"4\"><br></td>
        </tr>
        <tr>
         <td class=\"cell\" width=\"20%\" height=\"100\" align=\"center\" valign=\"top\">
          <a href=\"index.php?option=configuration&suboption=users\"><img border=\"0\" src=\"graphics/cfg-users.gif\" style=\"margin: 15px 5px 5px 5px;\"></a><br>
          <a href=\"index.php?option=configuration&suboption=users\" class=\"module_link\">" . $sas_lang['users'] . "</a></td>
         <td class=\"cell\" width=\"20%\" height=\"100\" align=\"center\" valign=\"top\">
          <a href=\"index.php?option=configuration&suboption=teachers\"><img border=\"0\" src=\"graphics/cfg-teachers.gif\" style=\"margin: 15px 5px 5px 5px;\"></a><br>
          <a href=\"index.php?option=configuration&suboption=teachers\" class=\"module_link\">" . $sas_lang['teachers'] . "</span></td>
         <td class=\"cell\" width=\"20%\" height=\"100\" align=\"center\" valign=\"top\">
          <a href=\"index.php?option=configuration&suboption=students\"><img border=\"0\" src=\"graphics/cfg-students.gif\" style=\"margin: 15px 5px 5px 5px;\"></a><br>
          <a href=\"index.php?option=configuration&suboption=students\" class=\"module_link\">" . $sas_lang['students'] . " & " . $sas_lang['classes'] . "</a></td> 
		<td class=\"cell\" width=\"20%\" height=\"100\" align=\"center\" valign=\"top\">
          <a href=\"index.php?option=configuration&suboption=projects\"><img border=\"0\" src=\"graphics/projects.gif\" style=\"margin: 15px 5px 5px 5px;\"></a><br>
          <a href=\"index.php?option=configuration&suboption=projects\" class=\"module_link\">" . $sas_lang['student_projects'] . "</a></span></td>
        </tr>
        <tr>
          <td width=\"100%\" align=\"left\" valign=\"top\" colspan=\"4\"><br></td>
        </tr>
        <tr>             
         <td class=\"cell\" width=\"20%\" height=\"100\" align=\"center\" valign=\"top\">
          <a href=\"index.php?option=configuration&suboption=alerts\"><img border=\"0\" src=\"graphics/cfg-alerts.gif\" style=\"margin: 15px 5px 5px 5px;\"></a><br>
          <a href=\"index.php?option=configuration&suboption=alerts\" class=\"module_link\">" . $sas_lang['alerts'] . "</a></td>
         <td class=\"cell\" width=\"20%\" height=\"100\" align=\"center\" valign=\"top\">
          <a href=\"index.php?option=configuration&suboption=webfonts\"><img border=\"0\" src=\"graphics/webfonts.gif\" style=\"margin: 15px 5px 5px 5px;\"></a><br>
          <a href=\"index.php?option=configuration&suboption=webfonts\" class=\"module_link\">" . $sas_lang['webfonts'] . "</a></td>
		  <td>&nbsp;</td><td>&nbsp;</td>
        </tr>
</table>";

include ("interface/footer.inc.php");
?>