<?php
if ($website == "protected")
{
	$public = 1;	// we are on the protected area
}
else
{
	$public = 0 ;	//we are on the public site
}
$mod_options = explode(",", $sas_config['template_mod_options']);	//docs  category is  $mod_options[1]

function create_popup_menu()
{
	global $db, $table_sections, $table_pages, $site_url, $where_clause, $section, $themelocation, $sas_config, $cmsdir ;
	
	$query = "SELECT s.id, s.name FROM $table_sections s 
			LEFT JOIN $table_pages p ON s.id = p.section
			WHERE s.invisible != 'yes' $where_clause GROUP BY s.name ORDER BY s.sort";
	$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING);
	
	print "<ul id=\"nav\">\n";
	
	while ($section_list = mysqli_fetch_array($result))
	{
		//get the pages without category and the categories in an array.
		$page_cat = page_cat_list($section_list['id']) ;
		
		$section_button = section_menu_button($section_list[0]);	//see if section button exists
		$link = "#";
		if(count($page_cat) == 0)
		{
			$link = "index.php?section=$section_list[0]";
		}
		
		if($section_list[0] == $section)
		{
			if($section_button == false)
			{
				//show the normal menu text
				if($sas_config['template_menu_icon_pos'] == "left")
				{
					print "<li class=\"selected\"><a href=\"$link\"><img class=\"down\" src=\"$cmsdir/media/template_images/$themelocation/menu_icon.png\" />&nbsp;$section_list[1]\n";
				}
				else
				{
					print "<li class=\"selected\"><a href=\"$link\">$section_list[1]\n";
				}
			}
			else
			{
				//show the button
				print "<li class=\"selected\">
						<a href=\"$link\" style=\"padding:4px 7px;\">
						<img src=\"$section_button\" alt=\"\">\n";
			}
		}
		else
		{
			if($section_button == false)
			{
				if($sas_config['template_menu_icon_pos'] == "left")
				{
					print "<li><a href=\"$link\"><img class=\"down\" src=\"$cmsdir/media/template_images/$themelocation/menu_icon.png\" />&nbsp;$section_list[1]\n";
				}
				else
				{
					print "<li><a href=\"$link\">$section_list[1]\n";
				}
			}
			else
			{
				print "<li><a href=\"$link\" style=\"padding:4px 7px;\">
					<img src=\"$section_button\" alt=\"\">\n";
			}
		}
		
		if($sas_config['template_menu_icon_pos'] == "left")
		{
			print "</a>\n";
		}
		else
		{
			print "<img class=\"down\" src=\"$cmsdir/media/template_images/$themelocation/menu_icon.png\" /></a>\n";
		}
		
		if(count($page_cat) > 0)	//does the array has any pages?
		{
			//sort the multi row array
			sortArray($page_cat, sort, SORT_ASC);
			print "\t<ul>\n";
			$i = 0 ;
			foreach ($page_cat['sort'] as $value)
			{
				$page_title = $page_cat['name'][$i] ;
				$id = $page_cat['id'][$i] ;
				$module = $page_cat['module'][$i] ;
				if($id == 0)	//page has category?
				{
					$category = addslashes($page_title);
					//get the first page id for the category which we are processing.
					$query3 = "SELECT id FROM $table_pages WHERE category = '$category' and section = '". $section_list['id'] . "' AND invisible != 'yes' $where_clause ORDER BY sort LIMIT 1";
					$result3 = mysqli_query($db,$query3) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query3 . '".',E_USER_WARNING);
					$p_id = mysqli_result($result3, 0, 'id');
					
					print "\t<li><a href=\"index.php?section=$section_list[0]&page=$p_id\">$page_title\n";
					
					print "<img style=\"float: right;\" src=\"$cmsdir/media/template_images/$themelocation/sub_menu_icon.png\" /></a>\n";
					
					//get the sub-pages for the category
					$query2 = "SELECT id, name, module FROM $table_pages WHERE category = '$category' and section = '". $section_list['id'] . "' AND invisible != 'yes' $where_clause ORDER BY sort";
					$result2 = mysqli_query($db,$query2) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query2 . '".',E_USER_WARNING);
					if(mysqli_num_rows($result2) > 0) 
					{
						print "\t\t<ul>\n";
						while ($page_menu = mysqli_fetch_array($result2)) 
						{
							print "\t\t<li><a href=\"index.php?section=$section_list[0]&page=$page_menu[0]\">$page_menu[1]</a></li>\n";
						}
						print "\t\t</ul>\n";
					}
					print "</li>";
				}
				else			//pages without category
				{
					if(substr($module,0,5) == "http:") //do we have an URL in the module field, use it is a link
					{
						print "\t<li><a href=\"".$module."\" target=\"_blank\">$page_title</a></li>\n";
					}
					else
					{
						print "\t<li><a href=\"index.php?section=$section_list[0]&page=$id\">$page_title</a></li>\n";
					}
					
				}
				$i++;
			}
			print "\t</ul>\n";
		}
		
		print "</li>";
	}
	print "</ul>\n";
}

function show_front_column_module($column)
{
	global $db, $sas_config;
	
	//this value holds the modules which can be shown for the column on the frontpage
	$col_mods = explode(",",$sas_config['template_column'.$column]);
	$col_colors = explode(",",$sas_config['template_column_colors'.$column]);
	$col_heights = explode(",",$sas_config['template_column_heights'.$column]);
	$colors = array_combine($col_mods , $col_colors);
	
	foreach ($col_mods as $value)
	{
		if($value == 1) 
		{
			show_login($column,$colors[1]);
		}
		if($value == 2) 
		{
			show_content($column,$colors[2]);
		}
		if($value == 3) 
		{
			show_latest_docs($column,$colors[3]);
		}
		if($value == 4) 
		{
			show_latest_poll($column,$colors[4]);
		}
		if($value == 5) 
		{
			show_album_thumb($column,$colors[5]);
		}
		if($value == 6) 
		{
			show_cal_entries($column,$colors[6]);
		}
		if($value == 7) 
		{
			show_latest_messages($column,$colors[7]);
		}
		if($value == 8) 
		{
			show_latest_news($column, $colors[8]);
		}
		if($value == 9) 
		{
			show_latest_newsletter($column,$colors[9]);
		}
		if($value == 10) 
		{
			show_slideshow($column,$colors[10]);
		}
		if($value == 11) 
		{
			show_search_form($column,$colors[11]);
		}
		if($value == 12) 
		{
			show_twitter_msg($column,$colors[12]);
		}
		if($value == 13) 
		{
			show_ads($column,$colors[13]);
		}
		if($value == 14) 
		{
			show_gbook($column,$colors[14]);
		}
		if($value == 15) 
		{
			show_facebook($column,$colors[15]);
		}
	}
}
function show_slider() 
{
	global $db, $dbprefix, $themelocation, $sas_config, $resource_path ;
	$slider_table = $dbprefix . "m_slider" ;
		
	$query = "SELECT title, content, picture, link, target, show_picture_only FROM $slider_table WHERE publish = 1 ORDER BY sort_order";
	$result = mysqli_query($db,$query);
	//height from the slider config
	$height1 = $sas_config['slider_height'] + 5;
	$height2 = $sas_config['slider_height'] - 5;
	$height3 = $sas_config['slider_height'] - 10;
	$height4 = $sas_config['slider_height'] - 20;
	$width = $sas_config['slider_text_width'] ;
	
	if($sas_config['template_3d'] == 1)	//3d effect header footer
	{
		print "<div id=\"lowerheader\" style=\"height:".$height1."px; background-image: url($resource_path/bg_middle_home_3d.png);\">";
	}
	else
	{
		print "<div id=\"lowerheader\" style=\"height:".$height1."px; background-image: url($resource_path/bg_middle_home.png);\">";
	}
	print "		<div id=\"slide_container\" style=\"height:".$height2."px;\">
					<div id=\"slider\"> 
					<ul>";
	
	if(mysqli_num_rows($result) > 0) 
	{
		while ($sliders = mysqli_fetch_array($result)) 
		{
			print "<li style=\"height:".$height4."px;\">";
				
			if($sliders['show_picture_only'] == 0)
			{
				print "<div class=\"textwrap\" style=\"width:".$width."px;\">
						<p class=\"sliderkop\">" . $sliders['title'] . "</p>
						<div class=\"sliderwrap\">";
						if($sliders['link'] != "")
						{
							$target = "";
							if($sliders['target'] == 1)
							{
								$target = "target=\"_blank\"";
							}
							print "<p class=\"slidertext\"><a href=\"http://" . $sliders['link'] . "\" $target>" . $sliders['content'] . "</a></p>";
						}
						else
						{
							print "<p class=\"slidertext\">" . $sliders['content'] . "</p>";
						}
						print "</div>
					</div>";
				
				print "<img class=\"imgslide\" alt=\"\" style=\"height:".$height3."px; background:url(".$sliders['picture']."); background-position: center center; background-repeat: no-repeat;\" src=\"$resource_path/masker.png\" />";
				
			}
			else
			{
				print "<img alt=\"\" style=\"height:".$height3."px;\" src=\"".$sliders['picture']."\" />";
			}
			
			print "</li>";
		}
	}
	print "			</ul>
					</div>
				</div>
			</div>\n";
}

//module 1 show a login form
function show_login($column,$color)
{
	global $db, $public_page_id, $sas_config;
	
	if ($sas_config['template_shadow_effect'] == "1")
	{
		print "<div id=\"module_wrap\" style=\"background:#$color;\" class=\"dropshadow\">";
	}
	else
	{
		print "<div id=\"module_wrap\" style=\"border: ".$sas_config['template_border_size']."px solid #".$sas_config['template_border_color'.$column]."; background:#$color;\">";
	}
	print "<h1 class=\"contentkop$column\">".$sas_config['template_column_login']."</h1>";
	
	if((IsSet($_SESSION['userid'])) AND ($_SESSION['userid'] > 0))	//no parents (userid 0))
	{
		show_logout($column);
	}
	else
	{
		print "<form method=\"post\" action=\"".$sas_config['url']."index.php?page=$public_page_id[4]\" name=\"loginform\">
				<table width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">
				<tr><td><span class=\"login\">Gebruikersnaam:</span></td></tr>
				<tr><td>
				<input type=\"text\" name=\"user_username\" size=\"18\" /></td></tr>
				<tr><td><span class=\"login\">Wachtwoord:</span></td></tr>
				<tr><td>
				<input type=\"password\" name=\"user_password\" size=\"18\" onkeypress=\"return submitenter(this,event)\" /></td></tr>
				<tr><td>
				<input type=\"hidden\" name=\"option\" value=\"userlogin\" />
				<input type=\"hidden\" name=\"submitted\" value=\"1\" />
				</td></tr>
				</table>
			</form>";
	}
	print "</div>\n";
	print "<p style=\"clear:both;\">&nbsp;</p>\n";
}

//module 2 show the content in a column, $column can be 1,2,3
function show_content($column,$color)
{
	global $db, $sas_config, $front_page;
	
	if ($sas_config['template_shadow_effect'] == "1")
	{
		print "<div id=\"module_wrap\" style=\"background:#$color;\" class=\"dropshadow\">";
	}
	else
	{
		print "<div id=\"module_wrap\" style=\"border: ".$sas_config['template_border_size']."px solid #".$sas_config['template_border_color'.$column]."; background:#$color;\">";
	}
	$column = 900 + $column;
	print $front_page[$column];

	print "</div>\n";
	print "<p style=\"clear:both;\">&nbsp;</p>\n";
}

//module 3 show latest documents
function show_latest_docs($column,$color) 
{
	global $db, $dbprefix, $public_page_id, $public, $sas_config, $mod_options ;
	
	$table_downloads = $dbprefix . "m_downloads";
	$table_downloads_cat = $dbprefix . "m_downloads_cat";
	
	$extra_where = "";
	if($mod_options[2] != 0)
	{
		$extra_where = " AND c.id = '$mod_options[2]'";
	}
	$query = "SELECT d.id, d.filename, d.description, date_format(d.date, '%d-%m-%Y'), d.category, c.title FROM
			$table_downloads d LEFT JOIN $table_downloads_cat c ON d.category = c.id WHERE c.public = '$public' $extra_where ORDER BY date DESC LIMIT $mod_options[3]";

	$result = mysqli_query($db,$query);
			
	if(mysqli_num_rows($result) > 0) 
	{
		$i = 0;
		while ($docs = mysqli_fetch_array($result)) 
		{
			if($i == 0)
			{
				if ($sas_config['template_shadow_effect'] == "1")
				{
					print "<div id=\"module_wrap\" style=\"background:#$color;\" class=\"dropshadow\">";
				}
				else
				{
					print "<div id=\"module_wrap\" style=\"border: ".$sas_config['template_border_size']."px solid #".$sas_config['template_border_color'.$column]."; background:#$color;\">";
				}
				if($sas_config['template_column_docs'] == "")
				{
					print "<h1 class=\"contentkop$column\">".$docs[65]."</h1>";
				}
				else
				{
					print "<h1 class=\"contentkop$column\">".$sas_config['template_column_docs']."</h1>";
				}
				
				print "<ul class=\"module_entry$column\" >";
				$i = 1;
			}
			if(mysqli_num_rows($result) > 0) 
			{
				print "<li class=\"module_entry$column\"><a href=\"starnet/modules/sn_downloads/download.php?dwnl_id=$docs[0]&amp;cat_id=$docs[4]\">" . $docs[1] . "</a></li>" ;
			}
		}
			print "</ul>
				</div>\n";
		print "<p style=\"clear:both;\">&nbsp;</p>\n";
	}
}

//module 4 show latest poll
function show_latest_poll($column,$color)
{
	global $db, $dbprefix, $db_name, $db_username, $db_password, $POLLDB, $POLLTBL, $CLASS, $sas_config ;
	
	$table_poll = $dbprefix . "m_poll_index";
	$query = "SELECT poll_id FROM $table_poll WHERE status != 2";
	$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
	$RecordCount = mysqli_num_rows($result);

	if ($RecordCount > 0)
	{
		if ($sas_config['template_shadow_effect'] == "1")
		{
			print "<div id=\"module_wrap\" style=\"background:#$color;\" class=\"dropshadow\">";
		}
		else
		{
			print "<div id=\"module_wrap\" style=\"border: ".$sas_config['template_border_size']."px solid #".$sas_config['template_border_color'.$column]."; background:#$color;\">";
		}
	
	if($sas_config['template_column_poll'] != "")
	{
		print "<h1 class=\"contentkop$column\">".$sas_config['template_column_poll']."</h1>";
	}
		/* path */
		$poll_path = dirname(__FILE__);

		require_once "starnet/modules/poll/include/config.inc.php";
		include_once "starnet/modules/poll/poll_cookie.php";
		require_once "starnet/modules/poll/include/class_mysql.php";
		require_once "starnet/modules/poll/include/class_poll.php";
		require_once "starnet/modules/poll/include/class_pollcomment.php";
		$CLASS["db"] = new polldb_sql;
		$CLASS["db"]->connect();

		$php_poll = new poll();

		/* the newest poll */
		echo $php_poll->poll_process("newest");
		
		print "</div>\n";
		print "<p style=\"clear:both;\">&nbsp;</p>\n";
	}
}

//module 5 show latest photo from photomodule
function show_album_thumb($column,$color) 
{
	global $db, $cmsdir, $dbprefix, $table_pages, $public, $sas_config, $mod_options ;
	if($public == 1) {$npublic = 0;} else {$npublic = 1;}	 //album module is the other way around from other modules, needs this crazy fix
	
	$table_pictures = $dbprefix . "m_album_pictures";
	$table_pictures_cat = $dbprefix . "m_album_cat";
	
	$query = "SELECT f.file_name, c.pagename, p.id, f.id, c.id FROM $table_pictures f 
			LEFT JOIN $table_pictures_cat c ON f.album_id = c.id
			LEFT JOIN $table_pages p ON p.name = c.pagename 
			WHERE ((module = 'sn_allbum/view_pictures.php') OR (module = 'sn_allbum/slideshow.php')) AND c.public = '$npublic' AND p.hidden != 'yes'  
			ORDER BY f.last_update DESC LIMIT 1";

	$result = mysqli_query($db,$query) ;
	if(mysqli_num_rows($result) == 0) 
	{
		$query = "SELECT f.file_name, c.pagename, f.id, c.id FROM $table_pictures f 
			LEFT JOIN $table_pictures_cat c ON f.album_id = c.id
			WHERE c.public = '$npublic' ORDER BY f.last_update DESC LIMIT 1";

		$result = mysqli_query($db,$query) ;
		if(mysqli_num_rows($result) > 0) 
		{
			$query2 = "SELECT id FROM $table_pages WHERE module = 'sn_allbum/overview.php'" ;
			$result2 = mysqli_query($db,$query2) ;
			$id = mysqli_result($result2, 0, 'id');
		}
	}

	if ($sas_config['template_shadow_effect'] == "1")
	{
		print "<div id=\"module_wrap\" style=\"background:#$color;\" class=\"dropshadow\">";
	}
	else
	{
		print "<div id=\"module_wrap\" style=\"border: ".$sas_config['template_border_size']."px solid #".$sas_config['template_border_color'.$column]."; background:#$color;\">";
	}
	
	print "<h1 class=\"contentkop$column\">".$sas_config['template_column_album']."</h1>";
	
	while ($picture_list = mysqli_fetch_array($result)) 
	{	
		if($id > 0)
		{
			$link = "index.php?page=$id&modoption=detail&cat_id=$picture_list[3]&picture_id=$picture_list[2]";
		}
		else
		{
			$link = "index.php?page=$picture_list[2]&modoption=detail&cat_id=$picture_list[4]&picture_id=$picture_list[3]";
		}
		$pict_name = create_thumb_name($picture_list[0]) ;
		$album_path = remove_special_characters($picture_list[1]) ;
		print "\n<a href=\"$link\">
			<img src=\"$cmsdir/media/gallery/" . $album_path . "/" . $pict_name . "\" border=\"0\"></a>";
	}
	
	print "</div>\n";
	print "<p style=\"clear:both;\">&nbsp;</p>\n";
		
}
//create the thumb name from the picture filename: picture_t.jpg
function create_thumb_name($name)
{
	$tmp = explode(".", $name);
	$ext = array_pop($tmp);
	$name = implode(".", $tmp);
	$thumb = str_replace("//", "/", $name . "_t." . $ext);
	return $thumb ;
}

//module 6 show calender entries
function show_cal_entries($column,$color) 
{
	global $db, $dbprefix, $public_page_id, $public, $sas_config, $mod_options ;
	
	$current_day = date('d'); //current month
	$month = date('n'); //current month
	$year = date('Y');	//current year
	/* Set locale to Dutch */
	setlocale(LC_ALL, 'nl_NL');
	
	$extra_where = "";
	if($mod_options[4] != 0)
	{
		$extra_where = " AND calendar = '$mod_options[4]'";
	}
	$cal_table = $dbprefix . "m_calendar_events" ;
	$query = "SELECT id, description, month, year FROM $cal_table WHERE month = $month and year = '$year' $extra_where LIMIT 1";

	$result = mysqli_query($db,$query);
	
	if ($sas_config['template_shadow_effect'] == "1")
	{
		print "<div id=\"module_wrap\" style=\"background:#$color;\" class=\"dropshadow\">";
	}
	else
	{
		print "<div id=\"module_wrap\" style=\"border: ".$sas_config['template_border_size']."px solid #".$sas_config['template_border_color'.$column]."; background:#$color;\">";
	}
	print "<h1 class=\"contentkop$column\">".$sas_config['template_column_calendar']."</h1>
			<ul class=\"module_entry$column\">";
		
	if(mysqli_num_rows($result) > 0) 
	{
		$details = mysqli_result($result, 0, 'description');
		$arr_details = explode("\n", $details);
		
		for ($i = 0; $i < $mod_options[5]; $i++)
		{
			$entry = explode("_", $arr_details[$i]);
			$day = $entry[0] ;
			if($day >= $current_day)
			{
				//split the entry in a title and a popup part
				if (strpos($entry[1], ',') == FALSE)
				{
					$title = $entry[1] ; //if no comma , use whole entry
				}
				else
				{
					$title = substr($entry[1], 0, strpos($entry[1], ','));
				}
				$date = strftime("%d %B %Y", mktime(0, 0, 0, $month, $day, $year)) ;

				print "<li class=\"module_entry$column\">$date $title  
						</li>";
			}
		}
		print "</ul>
			<span class=\"home_link$column\"><a href=\"index.php?page=$public_page_id[3]\">naar de volledige kalender...</a></span>";
	}
	
	print "
			</div>\n";
	print "<p style=\"clear:both;\">&nbsp;</p>\n";
}

//module 7 show the latests messages
function show_latest_messages($column,$color) 
{	
	global $db, $dbprefix, $table_pages, $public, $sas_config, $mod_options ;
	$message_table = $dbprefix . "m_message" ;
	$message_table_cat = $dbprefix . "m_message_cat" ;
	
	$extra_where = "";
	if($mod_options[0] != 0)
	{
		$extra_where = " AND c.id = '$mod_options[0]'";
	}
	$query = "SELECT intro_message, message, p.id FROM $message_table m
				LEFT JOIN $message_table_cat c ON m.message_id = c.id
				LEFT JOIN $table_pages p ON c.pagename = p.name 
				WHERE c.public = '$public' $extra_where ORDER BY date DESC LIMIT $mod_options[1]";
	
	$result = mysqli_query($db,$query);
	
	if(mysqli_num_rows($result) > 0) 
	{
		if ($sas_config['template_shadow_effect'] == "1")
		{
			print "<div id=\"module_wrap\" style=\"background:#$color;\" class=\"dropshadow\">";
		}
		else
		{
			print "<div id=\"module_wrap\" style=\"border: ".$sas_config['template_border_size']."px solid #".$sas_config['template_border_color'.$column]."; background:#$color;\">";
		}
		
		print "<h1 class=\"contentkop$column\">".$sas_config['template_column_message']."</h1>
					<ul class=\"module_entry$column\" >";
		
		while ($message = mysqli_fetch_array($result)) 
		{
			print "<li class=\"module_entry$column\"><a href=\"index.php?page=$message[2]\">" . $message[0] . "</a></li>" ;
		}	
	print "</ul>
			</div>\n";
	print "<p style=\"clear:both;\">&nbsp;</p>\n";
	}
}

//module 8 show latest news items
function show_latest_news($column, $color) 
{
	global $db, $dbprefix, $table_pages, $table_classes, $public_page_id, $public, $sas_config, $mod_options, $sas_lang ;
	
	$news_table = $dbprefix."m_news_articles" ;
	/* Set locale to Dutch */
	setlocale(LC_ALL, 'nl_NL');

	$extra_where = "";
	if($mod_options[6] != 0)
	{
		$extra_where = " AND c.id = '$mod_options[6]'";
	}
	$news_table = $dbprefix."m_news_articles" ;
	$news_table_cat = $dbprefix."m_news_cat" ;
	$query = "SELECT n.id, n.content, UNIX_TIMESTAMP(date), p.id, c.title FROM $news_table n 
				LEFT JOIN $news_table_cat c ON n.category = c.id
				LEFT JOIN $table_pages p ON p.name = c.title 
				WHERE n.date <= current_date() AND n.archive = 0 AND p.invisible != 'yes' AND n.public = '$public' $extra_where ORDER BY n.date DESC LIMIT $mod_options[7]";

	$result = mysqli_query($db,$query);

	if(mysqli_num_rows($result) > 0) 
	{
		$i = 0;

		while ($news_item = mysqli_fetch_array($result)) 
		{
			if($i == 0)
			{
				if ($sas_config['template_shadow_effect'] == "1")
				{
					print "<div id=\"module_wrap\" style=\"background:#$color;\" class=\"dropshadow\">";
				}
				else
				{
					print "<div id=\"module_wrap\" style=\"border: ".$sas_config['template_border_size']."px solid #".$sas_config['template_border_color'.$column]."; background:#$color;\">";
				}
				if($sas_config['template_column_news'] == "")
				{
					print "<h1 class=\"contentkop$column\">".$news_item[4]."</h1>";
				}
				else
				{
					print "<h1 class=\"contentkop$column\">".$sas_config['template_column_news']."</h1>";
				}
				$i = 1;
			}
			$date = strftime("%d %B %Y",$news_item[2]);
			//intro text
			$content = str_replace ("  ", " ", $news_item[1]);	//use the content instead of intro text
			$content = limit_text($content, 250);
			
			$content = str_replace ("<img src=", "<img width=\"270\" src=", $content);
			
			if((strpos($content, "<img ") !== FALSE) AND (strpos($content, "width=") === FALSE))
			{
				$content = str_replace ("<img ", "<img width=\"270\" ", $content);
			}
				$page_link = "page=$news_item[3]#$news_item[0]" ;
			
			print "<p class=\"nieuwsdatum\">
						".$date."
					</p>
					<p class=\"module_entry$column\">
						".$content."
					<br /><span class=\"home_link$column\"><a href=\"index.php?$page_link\">".$sas_lang['read_more']."</a></span>
					</p><br />";
		}
		print "</div>\n";
		print "<p style=\"clear:both;\">&nbsp;</p>\n";
	}
}
function limit_text( $text, $limit )
{
  // figure out the total length of the string
  if( strlen($text)>$limit )
  {
    # cut the text
    $text = substr( $text,0,$limit );
    # lose any incomplete word at the end
    $text = substr( $text,0,-(strlen(strrchr($text,' '))) );
  }
  // return the processed string
  return $text;
}

//module 9 show latest newsletters
function show_latest_newsletter($column,$color) 
{
	global $db, $dbprefix, $public_page_id, $table_pages, $public, $sas_config, $mod_options ;
	
	/* Set locale to Dutch */
	setlocale(LC_ALL, 'nld_nld');
	
	$table_newsletters = $dbprefix."m_newsletters" ;
	$table_newsletter_cat = $dbprefix . "m_newsletter_cat";
	
	$extra_where = "";
	if($mod_options[2] != 0)
	{
		$extra_where = " AND c.id = '$mod_options[8]'";
	}
	$query = "SELECT n.id, n.title, c.name, p.id FROM $table_newsletters n
				LEFT JOIN $table_newsletter_cat c ON newsletter_id = c.id
				LEFT JOIN $table_pages p ON c.name = p.name
				WHERE n.archive = 0 AND n.public = '$public' AND p.invisible != 'yes' AND n.published = 1 AND p.module = 'sn_newsletter/newsletter.php' $where_extra
				ORDER BY n.date DESC LIMIT $mod_options[9]";

	$result = mysqli_query($db,$query);
	
	if(mysqli_num_rows($result) > 0) 
	{
		$i = 0;
		while ( $news_item = mysqli_fetch_array($result))
		{
			if($i == 0)
			{
				if ($sas_config['template_shadow_effect'] == "1")
				{
					print "<div id=\"module_wrap\" style=\"background:#$color;\" class=\"dropshadow\">\n";
				}
				else
				{
					print "<div id=\"module_wrap\" style=\"border: ".$sas_config['template_border_size']."px solid #".$sas_config['template_border_color'.$column]."; background:#$color;\">";
				}
				if($sas_config['template_column_newsletter'] == "")
				{
					print "<h1 class=\"contentkop$column\">".$news_item['name']."</h1>";
				}
				else
				{
					print "<h1 class=\"contentkop$column\">".$sas_config['template_column_newsletter']."</h1>";
				}
				
				print "<ul class=\"module_entry$column\" >\n";
				$i = 1 ;
			}
			print "<li class=\"module_entry$column\"><a href=\"index.php?page=".$news_item[3]."&modoption=view&newsletter_id=$news_item[0]\">" . $news_item[1] . "</a></li>\n" ;
		}
		
		print "</ul>\n
				<span class=\"home_link$column\"><a href=\"index.php?page=$public_page_id[6]\">".$sas_lang['read_more']."</a></span>
			</div>\n";
		print "<p style=\"clear:both;\">&nbsp;</p>\n";
	}
}

//module 10 show slideshow from recent albums
function show_slideshow($column,$color)
{
	global $db, $cmsdir, $dbprefix, $table_pages, $public, $public_page_id, $sas_config;
	
	$table_pictures = $dbprefix . "m_album_pictures";
	$table_pictures_cat = $dbprefix . "m_album_cat";
	if($public == 1) {$npublic = 0;} else {$npublic = 1;} //album module is the other way around from other modules, needs this crazy fix
	
	//select the last 410 changed albums connected to a page via the overview name
	$query = "SELECT p.file_name, p.title, p.album_id, c.pagename FROM $table_pictures p
				LEFT JOIN $table_pictures_cat c ON c.id = p.album_id
				WHERE c.public = '$npublic'
				ORDER BY p.last_update DESC LIMIT 10";

	$result = mysqli_query($db,$query) ;
	
	if ($sas_config['template_shadow_effect'] == "1")
	{
		print "<div id=\"module_wrap\" style=\"background:#$color; min-height:200px;\" class=\"dropshadow\">";
	}
	else
	{
		print "<div id=\"module_wrap\" style=\"border: ".$sas_config['template_border_size']."px solid #".$sas_config['template_border_color'.$column]."; background:#$color; min-height:200px;\">";
	}
	if($sas_config['template_column_slideshow'] != "")
	{
		print "<h1 class=\"contentkop$column\">".$sas_config['template_column_slideshow']."</h1>";
	}
	print "<div id=\"slideshow\">";
	
	$i = 1;
	while ($picture_list = mysqli_fetch_array($result)) 
	{	
		$pict_name = create_thumb_name($picture_list[0]) ;
		$album_path = remove_special_characters($picture_list[3]) ;
		$class = "";
		if($i == 1)
		{
			$class = " class=\"active\"";
		}	
		print "\n<div$class>
				<a href=\"index.php?page=$public_page_id[2]&&modoption=list&cat_id=$picture_list[2]\">
				<img src=\"starnet/media/gallery/" . $album_path . "/" . $pict_name . "\" alt=\"$picture_list[1]\" title=\"$picture_list[1]\" border=\"0\"></a>
				</div>";
		$i++;
	}
	
	print "</div>
		</div>\n";
	print "<p style=\"clear:both;\">&nbsp;</p>\n";
}

//module 11 show search form
function show_search_form($column,$color)
{
	global $db, $public_page_id, $sas_config ;
	
	if ($sas_config['template_shadow_effect'] == "1")
	{
		print "<div id=\"module_wrap\" style=\"background:#$color;\" class=\"dropshadow\">";
	}
	else
	{
		print "<div id=\"module_wrap\" style=\"border: ".$sas_config['template_border_size']."px solid #".$sas_config['template_border_color'.$column]."; background:#$color;\">";
	}
	print "<h1 class=\"contentkop$column\">".$sas_config['template_column_search']."</h1>
		<form method=\"post\" action=\"index.php?page=$public_page_id[7]\">
		<input name=\"q\" class=\"login\" value=\"\" type=\"text\">
		<button class=\"button\" type=\"submit\">Zoeken</button> 
		</form>
		</div>\n";
	print "<p style=\"clear:both;\">&nbsp;</p>\n";
}
//module 12 show tweets
function show_twitter_msg($column,$color) 
{
	global $db, $sas_config ;
	
	$twitter_options = explode(",", $sas_config['twitter_options']);
?>
<script type="text/javascript">
// JQuery Twitter Feed. Coded by www.tom-elliott.net (2012) and modified from https://twitter.com/javascripts/blogger.js
//UPDATED TO AUTHENTICATE TO API 1.1

$(document).ready(function () {
    var displaylimit = <?php echo $twitter_options[2] ?>;
    var twitterprofile = "<?php echo $twitter_options[1] ?>";
	var screenname = "<?php echo $twitter_options[0] ?>";
    var showdirecttweets = false;
    var showretweets = true;
    var showtweetlinks = true;
    var showprofilepic = true;
	
	var headerHTML = '';
	var loadingHTML = '';
	headerHTML += '<a href="https://twitter.com/" ><img src="starnet/graphics/twitter-bird-light.png" width="34" style="float:left;padding:3px 12px 0px 6px" alt="twitter bird" /></a>';
	headerHTML += '<h1>'+screenname+' <span style="font-size:13px"><a href="https://twitter.com/'+twitterprofile+'" >@'+twitterprofile+'</a></span></h1>';
	loadingHTML += '<div id="loading-container"><img src="starnet/graphics/ajax-loader.gif" width="32" height="32" alt="tweet loader" /></div>';
	
	$('#twitter-feed').html(headerHTML + loadingHTML);
	 
    $.getJSON('starnet/core/get_tweets.php', 
        function(feeds) {   
		   //alert(feeds);
            var feedHTML = '';
            var displayCounter = 1;         
            for (var i=0; i<feeds.length; i++) {
				var tweetscreenname = feeds[i].user.name;
                var tweetusername = feeds[i].user.screen_name;
                var profileimage = feeds[i].user.profile_image_url_https;
                var status = feeds[i].text; 
				var isaretweet = false;
				var isdirect = false;
				var tweetid = feeds[i].id_str;
				
				//If the tweet has been retweeted, get the profile pic of the tweeter
				if(typeof feeds[i].retweeted_status != 'undefined'){
				   profileimage = feeds[i].retweeted_status.user.profile_image_url_https;
				   tweetscreenname = feeds[i].retweeted_status.user.name;
				   tweetusername = feeds[i].retweeted_status.user.screen_name;
				   tweetid = feeds[i].retweeted_status.id_str
				   isaretweet = true;
				 };
				 
				 
				 //Check to see if the tweet is a direct message
				 if (feeds[i].text.substr(0,1) == "@") {
					 isdirect = true;
				 }
				 
				//console.log(feeds[i]);
				 
				 if (((showretweets == true) || ((isaretweet == false) && (showretweets == false))) && ((showdirecttweets == true) || ((showdirecttweets == false) && (isdirect == false)))) { 
					if ((feeds[i].text.length > 1) && (displayCounter <= displaylimit)) {             
						if (showtweetlinks == true) {
							status = addlinks(status);
						}
						 
						if (displayCounter == 1) {
							feedHTML += headerHTML;
						}
									 
						feedHTML += '<div class="twitter-article">';                  
						feedHTML += '<div class="twitter-pic"><a href="https://twitter.com/'+tweetusername+'" ><img src="'+profileimage+'"images/twitter-feed-icon.png" width="42" height="42" alt="twitter icon" /></a></div>';
						feedHTML += '<div class="twitter-text"><p><span class="tweetprofilelink"><strong><a href="https://twitter.com/'+tweetusername+'" >'+tweetscreenname+'</a></strong> <a href="https://twitter.com/'+tweetusername+'" >@'+tweetusername+'</a></span><span class="tweet-time"><a href="https://twitter.com/'+tweetusername+'/status/'+tweetid+'">'+relative_time(feeds[i].created_at)+'</a></span><br/>'+status+'</p></div>';
						feedHTML += '</div>';
						displayCounter++;
					}   
				 }
            }
             
            $('#twitter-feed').html(feedHTML);
    });
         
    //Function modified from Stack Overflow
    function addlinks(data) {
        //Add link to all http:// links within tweets
        data = data.replace(/((https?|s?ftp|ssh)\:\/\/[^"\s\<\>]*[^.,;'">\:\s\<\>\)\]\!])/g, function(url) {
            return '<a href="'+url+'" >'+url+'</a>';
        });
             
        //Add link to @usernames used within tweets
        data = data.replace(/\B@([_a-z0-9]+)/ig, function(reply) {
            return '<a href="http://twitter.com/'+reply.substring(1)+'" style="font-weight:lighter;" >'+reply.charAt(0)+reply.substring(1)+'</a>';
        });
        return data;
    }
     
     
    function relative_time(time_value) {
      var values = time_value.split(" ");
      time_value = values[1] + " " + values[2] + ", " + values[5] + " " + values[3];
      var parsed_date = Date.parse(time_value);
      var relative_to = (arguments.length > 1) ? arguments[1] : new Date();
      var delta = parseInt((relative_to.getTime() - parsed_date) / 1000);
	  var shortdate = time_value.substr(4,2) + " " + time_value.substr(0,3);
      delta = delta + (relative_to.getTimezoneOffset() * 60);
     
      if (delta < 60) {
        return '1m';
      } else if(delta < 120) {
        return '1m';
      } else if(delta < (60*60)) {
        return (parseInt(delta / 60)).toString() + 'm';
      } else if(delta < (120*60)) {
        return '1h';
      } else if(delta < (24*60*60)) {
        return (parseInt(delta / 3600)).toString() + 'h';
      } else if(delta < (48*60*60)) {
        //return '1 day';
		return shortdate;
      } else {
        return shortdate;
      }
    }
     
});
</script>
<?php
	print "<link rel=\"stylesheet\" href=\"starnet/interface/twitter-styles.css\" type=\"text/css\" />";
	
	if ($sas_config['template_shadow_effect'] == "1")
	{
		print "<div id=\"module_wrap\" style=\"background:#$color;\" class=\"dropshadow\">";
	}
	else
	{
		print "<div id=\"module_wrap\" style=\"border: ".$sas_config['template_border_size']."px solid #".$sas_config['template_border_color'.$column]."; background:#$color;\">";
	}
	print "<div id=\"twitter-feed\"></div>\n
			</div>\n";
	print "<p style=\"clear:both;\">&nbsp;</p>\n";
	
}

//module 13 show the latests guestbook messages
function show_ads($column,$color) 
{	
	global $db, $dbprefix, $table_pages, $public, $sas_config, $mod_options ;
	$ads_table = $dbprefix . "m_adtext" ;
	$ads_table_cat = $dbprefix . "m_adtext_cat" ;
	
	$extra_where = "";
	//if($mod_options[0] != 0)
	//{
		//$extra_where = " AND c.id = '$mod_options[0]'";
	//}
	$query = "SELECT ad_text, p.id FROM $ads_table g
				LEFT JOIN $ads_table_cat c ON g.ads_id = c.id
				LEFT JOIN $table_pages p ON c.name = p.name 
				WHERE c.public = '$public' AND initial = 1 $extra_where ORDER BY date DESC LIMIT 4";

	$result = mysqli_query($db,$query);
	
	if(mysqli_num_rows($result) > 0) 
	{
		if ($sas_config['template_shadow_effect'] == "1")
		{
			print "<div id=\"module_wrap\" style=\"background:#$color;\" class=\"dropshadow\">";
		}
		else
		{
			print "<div id=\"module_wrap\" style=\"border: ".$sas_config['template_border_size']."px solid #".$sas_config['template_border_color'.$column]."; background:#$color;\">";
		}
		
		print "<h1 class=\"contentkop$column\">".$sas_config['template_column_ads']."</h1>
					<ul class=\"module_entry$column\" >";
		
		while ($message = mysqli_fetch_array($result)) 
		{
			print "<li class=\"module_entry$column\"><a href=\"index.php?page=$message[1]\">" . $message[0] . "</a><br /><br /></li>" ;
		}	
	print "</ul>
			</div>\n";
	print "<p style=\"clear:both;\">&nbsp;</p>\n";
	}
}
//module 14 show the latests guestbook messages
function show_gbook($column,$color) 
{	
	global $db, $dbprefix, $table_pages, $public, $sas_config, $mod_options ;
	$gbook_table = $dbprefix . "m_gbook" ;
	$gbook_table_cat = $dbprefix . "m_gbook_cat" ;
	
	$extra_where = "";
	//if($mod_options[0] != 0)
	//{
		//$extra_where = " AND c.id = '$mod_options[0]'";
	//}
	$query = "SELECT message, p.id FROM $gbook_table g
				LEFT JOIN $gbook_table_cat c ON g.guestbook_id = c.id
				LEFT JOIN $table_pages p ON c.name = p.name 
				WHERE c.public = '$public' AND initial = 1 $extra_where ORDER BY date DESC LIMIT 4";

	$result = mysqli_query($db,$query);
	
	if(mysqli_num_rows($result) > 0) 
	{
		if ($sas_config['template_shadow_effect'] == "1")
		{
			print "<div id=\"module_wrap\" style=\"background:#$color;\" class=\"dropshadow\">";
		}
		else
		{
			print "<div id=\"module_wrap\" style=\"border: ".$sas_config['template_border_size']."px solid #".$sas_config['template_border_color'.$column]."; background:#$color;\">";
		}
		
		print "<h1 class=\"contentkop$column\">".$sas_config['template_column_gbook']."</h1>
					<ul class=\"module_entry$column\" >";
		
		while ($message = mysqli_fetch_array($result)) 
		{
			print "<li class=\"module_entry$column\"><a href=\"index.php?page=$message[1]\">" . $message[0] . "</a><br /><br /></li>" ;
		}	
	print "</ul>
			</div>\n";
	print "<p style=\"clear:both;\">&nbsp;</p>\n";
	}
}
//module 15 show tweets
function show_facebook($column,$color) 
{
	global $db, $sas_config ;
	
	$facebook_options = explode(",", $sas_config['facebook_options']);

	print "<script src=\"starnet/interface/jquery/jquery.neosmart.fb.wall.js\" type=\"text/javascript\"></script>
		<link rel=\"stylesheet\" href=\"starnet/interface/jquery/jquery.neosmart.fb.wall.css\" type=\"text/css\" />";
	
	if ($sas_config['template_shadow_effect'] == "1")
	{
		print "<div id=\"module_wrap\" style=\"background:#$color;\" class=\"dropshadow\">";
	}
	else
	{
		print "<div id=\"module_wrap\" style=\"border: ".$sas_config['template_border_size']."px solid #".$sas_config['template_border_color'.$column]."; background:#$color;\">";
	}
	
	print "<h1 class=\"contentkop$column\">".$sas_config['template_column_facebook']."</h1>";
	
	print "<div id=\"example1\"></div>
			</div>\n";
	print "<p style=\"clear:both;\">&nbsp;</p>\n";
		
print "<script type=\"text/javascript\">
		
	$(function(){
	$('#example1').fbWall({ 
	id:'$facebook_options[0]',
	accessToken:'$facebook_options[1]|$facebook_options[2]',
	showGuestEntries:$facebook_options[4],
	showComments:$facebook_options[5],
	max:$facebook_options[3],
	timeConversion:24
	
	});
});
</script>";
}
function show_breadcrum() 
{
	global $db, $table_sections, $section, $pagetitle, $category;
	
	if($section != 0)
	{
		$query = "SELECT name FROM $table_sections WHERE id = '$section'";        // getting the section name
		$result = mysqli_query($db,$query);
		if(mysqli_num_rows($result) > 0) 
		{
			$sectionname = mysqli_result($result,0);
		}
		unset($query);
		unset($result);
		if (IsSet ($_GET['category']))
		{
			print "\r\n<div id=\"breadcrum\">&nbsp;$sectionname &gt; " . $_GET['category'] . " &gt; $pagetitle</div>";
		}
		else
		{
			print "\r\n<div id=\"breadcrum\">&nbsp;$sectionname &gt; $pagetitle</div>";
		}
	}
}

function show_logout($column) 
{
	global $db, $sas_lang, $section, $page, $table_users;
	
	if((IsSet($_SESSION['userid'])) AND ($_SESSION['userid'] > 0))	//no parents (userid 0))
	{  
		$query = "SELECT name FROM $table_users WHERE id = '" . $_SESSION['userid'] . "'"; // getting the name for the user
		$result = mysqli_query($db,$query) or trigger_error(mysqli_error($db).'"<br>Query : "' . $query . '".',E_USER_WARNING); 
		if (mysqli_num_rows($result) == 1)
		{
			$user_name = mysqli_result($result, 0, 0);
		}
		unset ($query);
		unset ($result);
		print $sas_lang['logged_in_as']. ": $user_name &nbsp;";
	}
	if((IsSet($_SESSION['userid'])) AND ($_SESSION['userid'] >= 0))	//logout link also for parents
	{
		print "<span class=\"home_link$column\"><a href=\"index.php?section=$section&page=$page&logout=yes\">[".$sas_lang['logout']."]</a></span>";
	}
}

function show_dasboard_return($page_id) 
{
	global $db, $dbprefix, $sas_lang ;
	
	if((IsSet($_SESSION['userid'])) AND ($_SESSION['user_type'] == 20))	//we are logged in as a admin/teacher?
	{  
		print "[<a href=\"starnet/index.php\">".$sas_lang['manage']."</a>]&nbsp;";
	}
	
	if((IsSet($_SESSION['userid'])) AND (($_SESSION['user_type'] == 20)) OR ($_SESSION['user_type'] == 22))	//we are logged in as a admin/teacher?
	{  
		print " [<a href=\"index.php?page=$page_id&site=public\">".$sas_lang['dashboard']."</a>]&nbsp;";
	}
		
	if((IsSet($_SESSION['userid'])) AND ($_SESSION['user_type'] > 0))		//we are logged in as a user
	{ 
	
		if($_SESSION['site'] == "protected")
		{
			print "[<a href=\"index.php?site=public\">".$sas_lang['public_area']."</a>]&nbsp;";
		}
		else
		{
			print "[<a href=\"index.php?site=protected\">".$sas_lang['protected_area']."</a>]&nbsp;";
		}
    }
}
function print_page()
{
	global $db, $site ;
	
	foreach($_GET as $key => $value) 
	{
	if(!is_array($value))
		{
			$parms .=  htmlentities($key)."=".htmlentities($value)."&" ;
		}
	}	
	$parms = substr($parms,0,-1) ;
			
	if($site == "protected")
	{
		print "<a href=\"index.php?print=yes&site=protected&$parms\">";
	}
	else
	{
		print "<a href=\"index.php?print=yes&$parms\">";
	}
	
	print "<b>[Printen]</b></a>";
}

function show_background()
{
	//backgrounds are stored with key template_background followed by a number
	global $db, $sas_config;
	
	$month = date("n");
	$day = date("j") ;
	$found = FALSE;
	
	foreach($sas_config as $key => $value)
	{
		//filter the template background ones
		if("template_background" == substr($key,0,19))
		{
			$values = explode(",", $value);
			$begin = explode("-", $values[0]);
			$end = explode("-", $values[1]);
			
			if(((($day >= $begin[0]) AND ($month >= $begin[1])) AND (($day <= $end[0]) AND ($month <= $end[1]))) OR ($month < intval($end[1])) OR (($day < intval($end[0])) AND($month <= intval($end[1]))))
			{
				print "background: url('" . $values[2] . "');\n";
				$found = TRUE;
			}
		}
	}
	if(($found == FALSE) AND ($sas_config['template_background0'] != ""))
	{
				print "background: url('" . $sas_config['template_background0'] . "');\n";
	}
}
function template_path($file)
{
	echo "syndeo_data/themes/". $GLOBALS['themelocation'] . "/". $file;
}
function section_menu_button($section)
{
	$path = "syndeo_data/media/template_images/". $GLOBALS['themelocation'] . "/" ;
	
	if (file_exists($path . "sectie_menu" . $section . ".jpg")) 
	{
		return $path . "sectie_menu" . $section . ".jpg";
	}
	elseif (file_exists($path . "sectie_menu" . $section . ".gif")) 
	{
		return $path . "sectie_menu" . $section . ".gif";
	}
	elseif (file_exists($path . "sectie_menu" . $section . ".png")) 
	{
		return $path . "sectie_menu" . $section . ".png";
	}	
	else 
	{
		return false;
	}
}
function show_header()
{
	global $section ;
	$img = "";
	
	$path = "starnet/media/template_images/". $GLOBALS['themelocation'] . "/" ;
	
	if (file_exists($path . "header" . $section . ".jpg")) 
	{
		$img = $path . "header" . $section . ".jpg";
	}
	elseif (file_exists($path . "header" . $section . ".JPG")) 
	{
		$img = $path . "header" . $section . ".JPG";
	}
	elseif (file_exists($path . "header" . $section . ".png")) 
	{
		$img = $path . "header" . $section . ".png";
	}	
	else 
	{
		//try with uppercase extention
		$img = $path . "header" . $section . ".PNG";
	}
	if($img != "")
	{
		print "<div id=\"sub_header\"><img src=\"$img\" style=\"margin-top:5px;\" /></div>";
	}
}
?>