<?php
/**
 * ----------------------------------------------
 * Advanced Poll 2.0.8 (PHP/MySQL)
 * Copyright (c) Chi Kien Uong
 * URL: http://www.proxy2.de
 * ----------------------------------------------
 * Advanced Poll has been modified to be able to
 * integrate in SyndeoCMS as module by Fred Stuurman (fc.stuurman@gmail.com)
 * So do NOT use this code for stand alone running of Advanced Poll
 * you need to download original from http://www.proxy2.de
 */
if ( !defined('IN_SAS') )
{
	die("Hacking attempt");
}
require_once "modules/poll/common.inc.php";

if (IsSet ($_POST['poll_intro_text']))
{
	$poll_intro_text = sanitize($_POST['poll_intro_text'], 1500, 'H');
}
$poll_id = intval($poll_id);

function delete_poll($poll_id) 
{
    global $CLASS, $POLLTBL;
    $poll_id = intval($poll_id);
    $CLASS["db"]->query("DELETE FROM $POLLTBL[poll_data] where (poll_id = '$poll_id')");
    $CLASS["db"]->query("DELETE FROM $POLLTBL[poll_index] where (poll_id = '$poll_id')");
    $CLASS["db"]->query("DELETE FROM $POLLTBL[poll_log] where (poll_id = '$poll_id')");
    $CLASS["db"]->query("DELETE FROM $POLLTBL[poll_comment] where (poll_id = '$poll_id')");
}

function poll_index() 
{
    
	global $CLASS, $pollvars, $entry, $sas_lang, $weekday, $months, $POLLTBL, $module;
	
    if(!isset($entry)) {
        $entry = 0;
    }
    $CLASS["db"]->fetch_array($CLASS["db"]->query("select count(*) as total from $POLLTBL[poll_index]"));
    $total = $CLASS["db"]->record['total'];
    $time_offset = $pollvars["time_offset"]*3600;
    list($wday,$mday,$month,$year,$hour,$minutes) = preg_split("/( )/",date("w j n Y H i",time()+$time_offset));
	$month = $month -1 ;
    $newdate = $sas_lang[day.$wday].", $mday ".$sas_lang[months.$month]." $year $hour:$minutes";
    $next_page = $entry+$pollvars['polls_pp'];
    $prev_page = $entry-$pollvars['polls_pp'];
    $navigation ='';
    if ($prev_page >= 0) {
        $navigation = "  <img src=\"modules/poll/image/back.gif\" width=\"16\" height=\"14\">&nbsp;<a href=\"$pollvars[SELF]?entry=$prev_page\">$sas_lang[NavPrev]</a>\n";
    }
    if ($next_page < $total) {
        $navigation = $navigation. "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href=\"$pollvars[SELF]?entry=$next_page\">$sas_lang[NavNext]</a>&nbsp;<img src=\"modules/poll/image/next.gif\" width=\"16\" height=\"14\">\n";
    }
    $CLASS["template"]->set_templatefiles(array(
        "index" => "admin_index.html",
        "index_tr" => "admin_index_tr.html"
    ));
    $CLASS["template"]->register_vars("index_tr",array(
        "poll_id" => "\$row[poll_id]"
    ));
    $index_tr = $CLASS["template"]->pre_parse("index_tr");
    $results = $CLASS["db"]->query("select * from $POLLTBL[poll_index] order by poll_id desc limit $entry, $pollvars[polls_pp]");
    $admin_index_tr = '';
	
    while ($row = $CLASS["db"]->fetch_array($results)) 
	{
        $question = htmlspecialchars($row['question']);
        $date = date("j-M-Y",$row['timestamp']+$time_offset);
        if ($row['expire']==0) {
            $exp_date = "<font color=\"#0000FF\">$sas_lang[IndexNever]</font>";
        } else {
            $exp_date = (time()>$row['exp_time']) ? "<font color=\"#FF6600\">$sas_lang[IndexExpire]</font>" : date("j-M-Y",$row['exp_time']+$time_offset)." (<font color=\"#FF0000\">".round(($row["exp_time"]-time())/86400)."</font>)";
        }
        $days = (int) ((time()-$row['timestamp']+$time_offset)/86400);
        if ($row['status'] == 1) {
            $image = "modules/poll/image/folder.gif";
            $alt = "$sas_lang[EditOn]";
        } elseif ($row['status'] == 2) {
            $image = "modules/poll/image/hidden.gif";
            $alt = "$sas_lang[EditHide]";
        } else {
            $image = "modules/poll/image/lock.gif";
            $alt = "$sas_lang[EditOff]";
        }
        $alt = htmlspecialchars($alt);
        $image2 = ($row['logging'] == 1) ? "modules/poll/image/log.gif" : "modules/poll/image/log_off.gif";
        $image3 = ($row['comments'] == 1) ? "modules/poll/image/reply.gif" : "modules/poll/image/co_dis.gif";
        $image4 = ($row['status'] == 2) ? "modules/poll/image/text_off.gif" : "modules/poll/image/text.gif";
        eval("\$admin_index_tr .= \"$index_tr\";");
    }

    $CLASS["template"]->register_vars("index", array(
        "poll_user" => $CLASS["db"]->db['user'],
        "poll_host" => $CLASS["db"]->db['host']
    ));
    $admin_index = $CLASS["template"]->pre_parse("index");
	eval("echo \"$admin_index\";");
}

function poll_new($message) 
{
    global $CLASS, $pollvars, $sas_lang, $color_array, $module;
	
    $source_array = array(
        "aqua","blue","brown","darkgreen","gold","green","grey","orange","pink","purple","red","yellow"
    );
    for ($i=0,$java_script='';$i<sizeof($source_array); $i++) 
	{
        $java_script .= "$source_array[$i] = new Image(); $source_array[$i].src = \"modules/poll/image/$source_array[$i].gif\";\n";
    }
    for ($i=1,$poll_options=''; $i < $pollvars['def_options']+1; $i++) 
	{
        $poll_options .= "        <tr>
                 <td width=\"25%\" class=\"td1\">$sas_lang[NewOption] $i</td>
                 <td width=\"40%\">
                   <input type=\"text\" name=\"option_id[$i]\" size=\"38\" class=\"input\" maxlength=\"100\">
                 </td>
                 <td class=\"td2\" width=\"10%\">
                   <select class=\"select\" name=\"color[$i]\" onChange=\"javascript:ChangeBar(options[selectedIndex].value,$i)\">
                    <option value=\"blank\">---</option>\n";
        for ($j=0; $j <sizeof($source_array); $j++) 
		{
            $poll_options .= "<option value=\"$source_array[$j]\">".$sas_lang[color.$j]."</option>\n";
        }
        $poll_options .= "       </select></td>
            <td width=\"25%\" align=\"left\"><img src=\"modules/poll/image/blank.gif\" name=\"bar$i\" width=\"35\" height=\"12\"></td>
            </tr>\n";
    }
    $CLASS["template"]->set_templatefiles(array(
        "admin_new" => "admin_new.html"
    ));
    $admin_new = $poll_login = $CLASS["template"]->pre_parse("admin_new");
    eval("echo \"$admin_new\";");
}

function create_poll() 
{
    global $CLASS, $POLLTBL;
    global $logging, $expire, $exp_time, $status, $comments;
    global $option_id, $question, $color, $sas_lang;
    $timestamp = time();
	
    if (!isset($expire)) 
	{
        $expire = 1;
    }
	else
	{
		$expire = intval($expire) ;
	}
    if (!isset($comments)) 
	{
        $comments = 0;
    }
	else
	{
		$comments = intval($comments) ;
	}
	$status = intval($status) ;
    if (!isset($exp_time)) 
	{
        $exp_time=$timestamp;
    } 
	else 
	{
        $exp_time=$timestamp+$exp_time*86400;
    }
	
    if (!get_magic_quotes_gpc()) {
        $question = sanitize($question, 100 , 'S');
    }
	
	$logging = intval($logging);
    
	$CLASS["db"]->query("INSERT INTO $POLLTBL[poll_index] (question,timestamp,status,logging,exp_time,expire,comments) 
						VALUES ('$question','$timestamp','$status','$logging','$exp_time','$expire','$comments')");
    
	$sql_result = $CLASS["db"]->query("SELECT poll_id FROM $POLLTBL[poll_index] WHERE timestamp=$timestamp");
    $CLASS["db"]->fetch_array($sql_result);
    $poll_id = $CLASS["db"]->record['poll_id'];
    
	for($i = 1; $i <= sizeof($option_id); $i++) 
	{
        $option_id[$i] = trim($option_id[$i]);
        if (!empty($option_id[$i])) 
		{
            $option_text = sanitize($option_id[$i], 100, 'S');
			$color_new = sanitize($color[$i], 10 , 'A');
			
			$CLASS["db"]->query("INSERT INTO $POLLTBL[poll_data] (poll_id, option_id, option_text, color, votes) 
									VALUES('$poll_id', '$i', '$option_text', '$color_new', 0)");
		}
    }
}

if (!isset($action)) {
    $action='';
}

include ("interface/header.inc.php");
include ("interface/menubar.inc.php");
include ("interface/menustart.inc.php");

$class = "";
if($action == "") $class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module\">" . $sas_lang["IndexTitle"] . "</a></li>\n";
$class = "";
if($action == "text_config") $class = "class='active'";
print "<li $class><a href=\"index.php?option=modulemanager&module=$module&action=text_config\">" . $sas_lang['configuration'] . "</a></li>\n";

if (substr($access, 4, 1) == 1) //bit 5 off the accessrights (configuration right)
{
	$class = "";
	if($modoption == "edit") $class = "class='active'";
	print "<li $class><a href=\"index.php?option=modulemanager&modoption=edit&module_number=$module\">".$sas_lang['edit_module']."</a></li>\n";
}
include ("interface/menuend.inc.php");

print "<span class=\"sas_module_title\">$modulename</span><p>
		".$sas_lang["Intro"]. "</span><p>";

switch ($action) {

    case "new_poll":
	
        $message = $sas_lang["NewTitle"];
        poll_new("$message");
		print "\n<p><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		
    break;

    case "show":
	
        poll_index();
		print "\n<p><button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		
    break;

    case "delete_poll":
	
        if (isset($id)) {
            delete_poll($id);
        }
        poll_index();
		
    break;

    case "create_poll":
	
        $question = trim($question);
        if (!empty($question)) {
            create_poll();
            poll_index();
        } else {
            $message = $sas_lang["EditMis"];
            poll_new("$message");
        }
		print "\n<p><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
				
    break;
	
	case "save_poll":

		include("modules/poll/admin_edit.php");
        $message = save($poll_id);
        $message = $sas_lang[$message];
		poll_index();
    
	break;
		
	case "edit_poll":
		
		include("modules/poll/admin_edit.php");
		$message = $sas_lang["EditText"];
        poll_edit($poll_id,"$message");
		print "\n<p><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		
	break;
	
	case "add":
		
		include("modules/poll/admin_edit.php");
        $message = add_options($poll_id,$last_id);
        $message = $sas_lang[$message];
        poll_edit($poll_id,"$message");
		print "\n<p><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		
    break;
	
	case "extend":
	
		include("modules/poll/admin_edit.php");
        poll_extend($poll_id);
    
	break;
	
	case "config":
		
		include("modules/poll/admin_settings.php");
		print "\n<p><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		
	break;
	
	case "save_config":
		
		include("modules/poll/admin_settings.php");
		
	break;
	
	case "stats":
		
		include("modules/poll/admin_stats.php");
		
	break;
	
	case "reset_log":
		
		include("modules/poll/admin_stats.php");
		
	break;
	
	case "comments":
		
		include("modules/poll/admin_comment.php");
		
	break;
	
	case "templates":
		
		include("modules/poll/admin_templates.php");
		
	break;
	
	case "delete_comment":
		
		include("modules/poll/admin_comment.php");
		
	break;
	
	
	case save_text_config:

		mysqli_query($db,"UPDATE $table_configuration SET config_value = '$poll_intro_text' WHERE config_key = 'poll_intro_text'");
		print "" . $sas_lang['Updated'] . "</span>";

	break;

	case text_config:

		$poll_intro_text = $sas_config['poll_intro_text'];

		print "<span class=\"sas_module_title\">$modulename " . $sas_lang['configuration'] . "&nbsp;" . $sas_lang['poll_module_module'] . "<br></span>";
		print "<FORM METHOD=\"POST\" ACTION=\"index.php?option=modulemanager&module=$module&action=save_text_config\">";

		print "<b>" . $sas_lang['poll_module_header'] . "</b>
				<br><table><tr><td width=\"620\">";

		// call basic ckeditor for welcome text
		small_editor('poll_intro_text', $poll_intro_text, 'editor1');

		print "</td></tr></table><br>\n";

		print "\n<br><button onclick=\"javascript:parent.location='index.php?option=modulemanager&module=$module'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
		print "\n&nbsp;<button type=\"submit\" class=\"button\"><em><span>".$sas_lang['save']."</span></em></button>";
		print "</span></form>";

	break;
	
	default:
	
		poll_index();
		print "\n<p><button onclick=\"javascript:parent.location='index.php?option=modulemanager'\" type=\"button\" class=\"button\"><em><span>".$sas_lang['goback']."</span></em></button>";
    
	break;
}

include ("interface/footer.inc.php");
?>